Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.impl
Class NodeContainerImpl

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeContainerImpl

All Implemented Interfaces:
  Serializable, NodeContainer

    public class NodeContainerImpl

extends Object
implements Serializable, NodeContainer

See Also:
  Serialized Form

Constructor Summary
`NodeContainerImpl()`

Method Summary
`void` | `addNode(Node node)` Method for adding a node to this node container.
`Node` | `getNode(long id)` The node in this NodeContainer with the given id.
`Node[]` | `getNodes()` The Nodes of this NodeContainer.
`Node` | `internalGetNode(long id)`
`void` | `removeNode(Node node)` Method for removing a node from this node container
`Context` | `resolveContext(String contextId, Object param)`
`protected void` | `validateAddNode(Node node)`
`protected void` | `validateRemoveNode(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeContainerImpl

    public NodeContainerImpl()

Method Detail

### addNode

    public void addNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for adding a node to this node container. Note that the node will get an id unique for this node container.

  Parameters:
    `node` - the node to be added

### validateAddNode

    protected void validateAddNode(Node node)

### getNodes

    public Node[] getNodes()

  Description copied from interface: `NodeContainer`
  The Nodes of this NodeContainer.

  Specified by:
    `getNodes` in interface `NodeContainer`
  Returns:
    the nodes

### getNode

    public Node getNode(long id)

  Description copied from interface: `NodeContainer`
  The node in this NodeContainer with the given id.

  Specified by:
    `getNode` in interface `NodeContainer`
  Returns:
    the node with the given id

### internalGetNode

    public Node internalGetNode(long id)

### removeNode

    public void removeNode(Node node)

  Description copied from interface: `NodeContainer`
  Method for removing a node from this node container

  Parameters:
    `node` - the node to be removed

### validateRemoveNode

    protected void validateRemoveNode(Node node)

### resolveContext

    public Context resolveContext(String contextId,
                                  Object param)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.